Sauce Labs Customer Idea Portal

Submit an idea and make Sauce Labs even better!

Chrome beta browser should use the latest version of chromedriver by default

  • Guest
  • Oct 10 2017
  • Future consideration
  • Attach files
  • Ranjith Gampa commented
    10 Oct, 2017 06:02pm

    ----** Corrected few typos**------

    We use sauce to test our Application on different versions of browsers.

    We also use sauce to test application on Chrome Beta browser. Recently we have encountered a scenario where Chroma Beta was not compatible with the Selenium version 2.32 but by then already Selenium 2.33 was released. We could not perform any tests on Chrome Beta with out specifying selenium version.

    We do not want to specify any selenium version in our tests instead we want to be on latest selenium version.

    If you can make Chrome Beta always use the latest version of Selenium,  2.33 in this case, this problem could have been avoided.

    It is better to have Beta always use the latest version of Selenium available

    People go to Beta version to know things ahead of time so why not point to latest Selenium ?

  • Ranjith Gampa commented
    10 Oct, 2017 05:59pm

    We use sauce to test our Application on different versions of browsers.

    We also use sauce to test application on Chrome Beta browser. Recently we have encountered a scenario where Chroma Beta was not compatible with the Selenium version 2.32 but by the already Selenium 2.33 was available. We could not perform any tests on Chrome Beta.

    If you can make Chrome Beta always use the latest version of Selenium 2.33 in this case, this problem can be avoided.

    There is nothing wrong in have Beta always use the latest version of Selenium.

    Please go to Beta version to know things ahead of time so why not point to latest Selenium ?